openapi: 3.0.0
info:
  description: ""
  title: Rewards API
  version: "1.0"
servers:
- description: dev
  url: https://rewards.slace.com/v1
paths:
  /integrations/custom/organizations/{orgId}/channels{channelId}/handlers:
    get:
      operationId: listCustomHandlers
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CustomHandler'
                type: array
          description: OK
      summary: List custom handlers
      tags:
      - custom
      x-internal: true
    post:
      operationId: registerCustomHandler
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomHandler'
      responses:
        "201":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: Created
      summary: Register custom handler
      tags:
      - custom
      x-internal: true
  /integrations/custom/organizations/{orgId}/handlers:
    get:
      description: ""
      operationId: listOrganizationCustomHandlers
      parameters:
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CustomHandler'
                type: array
          description: OK
      summary: List organization custom handlers
      tags:
      - custom
      x-internal: false
    post:
      operationId: registerOrganizationCustomHandler
      parameters:
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomHandler'
      responses:
        "201":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: Created
      summary: Register organization custom handler
      tags:
      - custom
  /integrations/custom/organizations/{orgId}/channels{channelId}/handlers/{id}:
    delete:
      description: ""
      operationId: deleteCustomHandler
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      summary: Delete custom handler
      tags:
      - custom
      x-internal: true
    get:
      description: ""
      operationId: getCustomHandler
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: OK
      summary: Get custom handler
      tags:
      - custom
      x-internal: true
  /integrations/custom/organizations/{orgId}/handlers/{id}:
    delete:
      description: ""
      operationId: deleteOrganizationCustomHandler
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      summary: Delete organization custom handler
      tags:
      - custom
    get:
      description: ""
      operationId: getOrganizationCustomHandler
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: OK
      summary: Get organization custom handler
      tags:
      - custom
  /integrations/custom/organizations/{orgId}/channels{channelId}/webhooks/{type}:
    post:
      description: Webhook endpoint for external systems
      operationId: webhook
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: type
        required: true
        schema:
          enum:
          - change_points
          - create_loyalty
          - assign_coupon
          - redeem_coupon
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        "200":
          description: OK
      summary: Webhook
      tags:
      - custom
      x-internal: true
  /integrations/custom/organizations/{orgId}/webhooks/{type}:
    post:
      description: Webhook endpoint for external systems
      operationId: organizationWebhook
      parameters:
      - explode: false
        in: path
        name: type
        required: true
        schema:
          enum:
          - change_points
          - create_loyalty
          - assign_coupon
          - redeem_coupon
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        "200":
          description: OK
      summary: Webhook (organization)
      tags:
      - custom
      x-internal: true
  /integrations/dn/loyalty: {}
  /integrations/dn/coupons: {}
  /integrations/dn/coupons/redemption: {}
  /integrations/dn/points: {}
  /integrations/dn/coupons/{code}: {}
  /integrations/dn/organizations/{oid}/configurations:
    delete:
      description: ""
      operationId: deleteDNConfiguration
      parameters:
      - description: Organization ID
        explode: false
        in: path
        name: oid
        required: true
        schema:
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      summary: Delete DN configuration
      tags:
      - dn
    get:
      description: ""
      operationId: getDNConfiguration
      parameters:
      - description: Organization ID
        explode: false
        in: path
        name: oid
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DNConfiguration'
          description: OK
      summary: Get DN configuration
      tags:
      - dn
    post:
      description: ""
      operationId: createDNConfiguration
      parameters:
      - description: Organization ID
        explode: false
        in: path
        name: oid
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDNConfigRequest'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DNConfiguration'
          description: OK
      summary: Create DN configuration
      tags:
      - dn
      x-internal: false
  /settings/organizations/{organizationId}/available-actions:
    get:
      operationId: getAvailableActions
      parameters:
      - explode: false
        in: path
        name: organizationId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableActionsResponse'
          description: OK
      summary: Get available actions for organization
      tags:
      - settings
      x-internal: true
  /promotions/instant-win/configurations:
    post:
      operationId: createInstantWinConfiguration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstantWinConfiguration'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstantWinConfiguration'
          description: OK
      summary: Create instant win configuration
      tags:
      - Rewards
      x-stoplight:
        id: dndic7lnjn91y
  /promotions/instant-win/draw:
    post:
      operationId: drawInstantWin
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DrawInstantWinRequest'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstantWin'
          description: OK
      summary: Draw instant win
      tags:
      - Rewards
      x-stoplight:
        id: cvlc6kzhaavbj
  /promotions/instant-win/reset:
    post:
      operationId: resetInstantWin
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetInstantWinRequest'
      responses:
        "200":
          content: {}
          description: OK
      summary: Reset instant win
      tags:
      - Rewards
      x-stoplight:
        id: 5d4yq4ggnkgtz
  /promotions/sweepstake/configurations:
    post:
      description: ""
      operationId: createSweepstakeConfiguration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SweepstakeConfiguration'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SweepstakeConfiguration'
          description: OK
      summary: Create sweepstake configuration
      tags:
      - Rewards
      x-stoplight:
        id: rpkvyj9kkqxwf
  /promotions/sweepstake/register:
    post:
      description: ""
      operationId: registerSweepstakeParticipant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SweepstakeParticipant'
      responses:
        "200":
          description: OK
      summary: Register sweepstake participant
      tags:
      - Rewards
      x-stoplight:
        id: cc94c3p5dru4o
  /promotions/sweepstake/run:
    post:
      description: ""
      operationId: runSweepstake
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/runSweepstake_request'
      responses:
        "200":
          description: OK
      summary: Run sweepstake
      tags:
      - Rewards
      x-stoplight:
        id: 8tzsr29m6haan
  /promotions/loyalty/update:
    post:
      description: ""
      operationId: updateLoyaltyPoints
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoyaltyPointsChange'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoyaltyPoints'
          description: OK
      summary: Update loyalty points
      tags:
      - Rewards
      x-stoplight:
        id: t1ox8ig06mlx2
  /promotions/couponing/configurations:
    get:
      operationId: listCouponingConfigs
      parameters:
      - description: optional filter
        explode: true
        in: query
        name: organization_id
        required: false
        schema:
          type: string
        style: form
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CouponingConfigDto'
          description: OK
      summary: List couponing configs
      tags:
      - Rewards
      x-stoplight:
        id: ulav7g2tx7og2
    post:
      operationId: createCouponingConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CouponingConfigDto'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CouponingConfigDto'
          description: OK
      summary: Create couponing config
      tags:
      - Rewards
      x-stoplight:
        id: fl6jrwn6zrw7d
  /promotions/couponing/configurations/{id}:
    put:
      operationId: put-promotions-couponing-configurations-id
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CouponingConfigDto'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CouponingConfigDto'
          description: OK
      summary: Update couponing config
      tags:
      - Rewards
      x-stoplight:
        id: kzr1dilm7wno6
  /promotions/couponing/export/{id}:
    get:
      operationId: exportCouponsFromConfig
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      responses:
        "2XX":
          content: {}
          description: Success
      summary: Export coupons from config
      tags:
      - Rewards
      x-stoplight:
        id: w6wnztstt1m6y
  /promotions/couponing/import/{id}:
    post:
      operationId: importCoupons
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - description: true/false - whether coupons should be created or updated (e.g.
          redeemed)
        explode: true
        in: query
        name: update
        required: false
        schema:
          type: string
        style: form
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/importCoupons_request'
      responses: {}
      summary: Import coupons
      tags:
      - Rewards
      x-stoplight:
        id: yl2phb8olrr83
  /promotions/couponing/redeem/{code}:
    post:
      operationId: redeemCoupon
      parameters:
      - explode: false
        in: path
        name: code
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CouponData'
      responses:
        "200":
          content: {}
          description: OK
      summary: Redeem coupon
      tags:
      - Rewards
      x-stoplight:
        id: 83ry2uyb6dhs0
components:
  schemas:
    CustomHandler:
      example:
        organization_id: organization_id
        secret_header: secret_header
        attributes: attributes
        id: id
        secret: secret
        secret_configured: true
        type: change_points
        channel_id: channel_id
        url: url
      properties:
        id:
          readOnly: true
          type: string
        channel_id:
          readOnly: true
          type: string
        type:
          enum:
          - change_points
          - create_loyalty
          - assign_coupon
          - redeem_coupon
          type: string
        url:
          type: string
        secret:
          type: string
          writeOnly: true
        secret_header:
          type: string
          writeOnly: true
        secret_configured:
          readOnly: true
          type: boolean
        attributes:
          type: string
        organization_id:
          readOnly: true
          type: string
      required:
      - channel_id
      - id
      - organization_id
      - secret_configured
      - type
      - url
      title: CustomHandler
      type: object
      x-tags:
      - custom
    WebhookRequest:
      anyOf:
      - $ref: '#/components/schemas/AssignCouponWebhook'
      - $ref: '#/components/schemas/CreateLoyaltyWebhook'
      - $ref: '#/components/schemas/ChangePointsWebhook'
      - $ref: '#/components/schemas/RedeemCouponWebhook'
      x-tags:
      - custom
    AssignCouponWebhook:
      properties:
        transaction_id:
          type: string
        conversation_id:
          type: string
        contact_id:
          type: string
        code:
          type: string
        attributes:
          type: object
          x-stoplight:
            id: isqln2ig55onl
        channel_id:
          type: string
        name:
          type: string
          x-stoplight:
            id: nxi8bg9g8xs1v
        type:
          enum:
          - discount_percentage
          - discount_value
          - free_item
          type: string
          x-stoplight:
            id: 1snhcwkr2l202
        display_type:
          enum:
          - qr
          - barcode
          - text
          - none
          type: string
          x-stoplight:
            id: fgr0nnegolm0m
        currency:
          type: string
          x-stoplight:
            id: 0j2f0njlz5lcc
        value:
          type: string
          x-stoplight:
            id: 68qmssf3xlock
        description:
          type: string
          x-stoplight:
            id: xivy7ay0ijwzh
        expires_at:
          format: date-time
          type: string
          x-stoplight:
            id: n7xmllwho0h2s
        display_code:
          type: string
          x-stoplight:
            id: 75qyihpmqhxph
        expires_in:
          type: integer
          x-stoplight:
            id: zh8j9g9i6jzqv
      required:
      - channel_id
      - code
      - contact_id
      - conversation_id
      - display_type
      - name
      - transaction_id
      - type
      title: AssignCouponWebhook
      type: object
      x-stoplight:
        id: djq7aq03vi5zg
      x-tags:
      - custom
    ChangePointsWebhook:
      properties:
        transaction_id:
          type: string
        conversation_id:
          type: string
        contact_id:
          type: string
        current_amount:
          type: integer
          x-stoplight:
            id: 4pm6w137hl60v
        channel_id:
          type: string
      required:
      - channel_id
      - contact_id
      - conversation_id
      - current_amount
      - transaction_id
      title: ChangePointsWebhook
      type: object
      x-stoplight:
        id: 9kb12i52whx8b
      x-tags:
      - custom
    RedeemCouponWebhook:
      properties:
        transaction_id:
          type: string
        conversation_id:
          type: string
        contact_id:
          type: string
        code:
          type: string
          x-stoplight:
            id: 4pm6w137hl60v_1
        attributes:
          type: object
        channel_id:
          type: string
        redeemed:
          type: boolean
          x-stoplight:
            id: qkk6dz1ai2uvc
        error_message:
          type: string
          x-stoplight:
            id: rcj5vacl1xo5f
        total_amount:
          type: string
          x-stoplight:
            id: 7qlvr7oav5zuz
      required:
      - channel_id
      - code
      - contact_id
      - conversation_id
      - redeemed
      - total_amount
      - transaction_id
      title: RedeemCouponWebhook
      type: object
      x-stoplight:
        id: nf7zgynwqwmry
      x-tags:
      - custom
    CreateDNConfigRequest:
      example:
        api_url: api_url
        client_secret: client_secret
        client_id: client_id
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        api_url:
          type: string
      required:
      - api_url
      - client_id
      - client_secret
      title: CreateDNConfigRequest
      type: object
      x-tags:
      - dn
    DNConfiguration:
      example:
        updated_at: 2000-01-23T04:56:07.000+00:00
        api_url: api_url
        organization_id: organization_id
        created_at: 2000-01-23T04:56:07.000+00:00
        id: id
        client_id: client_id
      properties:
        id:
          readOnly: true
          type: string
        organization_id:
          readOnly: true
          type: string
        client_id:
          readOnly: true
          type: string
        api_url:
          readOnly: true
          type: string
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
      - api_url
      - client_id
      - created_at
      - id
      - organization_id
      - updated_at
      title: DNConfiguration
      type: object
      x-tags:
      - dn
    CreateLoyaltyWebhook:
      properties:
        transaction_id:
          type: string
        conversation_id:
          type: string
        contact_id:
          type: string
        loyalty_id:
          type: string
        channel_id:
          type: string
      required:
      - channel_id
      - contact_id
      - conversation_id
      - loyalty_id
      - transaction_id
      title: CreateLoyaltyWebhook
      type: object
      x-stoplight:
        id: gpm23gneam102
      x-tags:
      - custom
    AvailableActionsResponse:
      example:
        custom:
        - assign_coupon
        - assign_coupon
        dn:
        - assign_coupon
        - assign_coupon
      properties:
        dn:
          items:
            enum:
            - assign_coupon
            - change_points
            - create_loyalty
            type: string
          type: array
        custom:
          items:
            enum:
            - assign_coupon
            - change_points
            - create_loyalty
            - redeem_coupon
            type: string
          type: array
      required:
      - custom
      - dn
      title: AvailableActionsResponse
      type: object
      x-tags:
      - settings
      x-internal: true
    DrawInstantWinRequest:
      example:
        transaction_id: transaction_id
        conversation_id: conversation_id
        name: name
        interaction_id: interaction_id
        contact_id: contact_id
        channel_id: channel_id
      properties:
        name:
          type: string
          x-stoplight:
            id: 1mwuim8brf3em
        interaction_id:
          type: string
          x-stoplight:
            id: ahx9lybcfgjep
        transaction_id:
          type: string
          x-stoplight:
            id: 1o7iv0i3u59vl
        contact_id:
          type: string
          x-stoplight:
            id: sgqkbaacv3shr
        channel_id:
          type: string
          x-stoplight:
            id: 6ux73z7ta47sy
        conversation_id:
          type: string
          x-stoplight:
            id: 6lzt30ksnyplq
      required:
      - channel_id
      - contact_id
      - conversation_id
      - interaction_id
      - name
      - transaction_id
      title: DrawInstantWinRequest
      type: object
      x-stoplight:
        id: knopegbxex4mk
      x-tags:
      - Rewards
    ResetInstantWinRequest:
      example:
        name: name
      properties:
        name:
          type: string
      required:
      - name
      title: ResetInstantWinRequest
      type: object
      x-stoplight:
        id: d0f3dvgw9vd7w
      x-tags:
      - Rewards
    InstantWin:
      example:
        transaction_id: transaction_id
        win_result: win_result
        config_id: config_id
        current_usage: 6
        conversation_id: conversation_id
        created_at: 2000-01-23T04:56:07.000+00:00
        id: 0
        interaction_id: interaction_id
        contact_id: contact_id
        channel_id: channel_id
        prize_name: prize_name
      properties:
        id:
          readOnly: true
          type: integer
          x-stoplight:
            id: vt3x0f5hnqind
        win_result:
          readOnly: true
          type: string
          x-stoplight:
            id: j9881rb2sez83
        transaction_id:
          readOnly: true
          type: string
          x-stoplight:
            id: ljust0gev2dbf
        interaction_id:
          readOnly: true
          type: string
          x-stoplight:
            id: 1pjyrnas8tzzn
        contact_id:
          readOnly: true
          type: string
          x-stoplight:
            id: d349r00dt5k4j
        created_at:
          format: date-time
          readOnly: true
          type: string
          x-stoplight:
            id: q74i7bjzbmuqw
        config_id:
          readOnly: true
          type: string
          x-stoplight:
            id: zho2e9aquaufp
        channel_id:
          readOnly: true
          type: string
          x-stoplight:
            id: o2sdkc7ny3scg
        conversation_id:
          readOnly: true
          type: string
          x-stoplight:
            id: irkkd2o7sukfa
        prize_name:
          readOnly: true
          type: string
          x-stoplight:
            id: am5nlzpgvkzo1
        current_usage:
          readOnly: true
          type: integer
          x-stoplight:
            id: 5pkz37l5x1rme
      required:
      - channel_id
      - config_id
      - contact_id
      - conversation_id
      - created_at
      - current_usage
      - id
      - interaction_id
      - prize_name
      - transaction_id
      - win_result
      title: InstantWin
      type: object
      x-stoplight:
        id: k9ar8voimdpzn
      x-tags:
      - Rewards
    SweepstakeParticipant:
      example:
        transaction_id: transaction_id
        conversation_id: conversation_id
        name: name
        created_at: created_at
        id: id
        contact_id: contact_id
        interaction_id: interaction_id
        won_prizes:
        - won_prizes
        - won_prizes
        channel_id: channel_id
      properties:
        id:
          readOnly: true
          type: string
          x-stoplight:
            id: qri7j9b872joi
        name:
          type: string
          x-stoplight:
            id: upd03l9t0apyj
        transaction_id:
          type: string
          x-stoplight:
            id: p47ct07habses
        contact_id:
          type: string
          x-stoplight:
            id: 1kg8helfzqmo1
        interaction_id:
          type: string
          x-stoplight:
            id: 9px50f06v73lt
        won_prizes:
          items:
            type: string
            x-stoplight:
              id: lm7tnsyskztgu
          readOnly: true
          type: array
          x-stoplight:
            id: kutrskfh6a9u8
        channel_id:
          type: string
          x-stoplight:
            id: kd38fzdlean67
        conversation_id:
          type: string
          x-stoplight:
            id: 6foj5mezj11m8
        created_at:
          readOnly: true
          type: string
          x-stoplight:
            id: arlinjeo5dyp9
      required:
      - channel_id
      - contact_id
      - conversation_id
      - created_at
      - id
      - interaction_id
      - name
      - transaction_id
      - won_prizes
      title: SweepstakeParticipant
      type: object
      x-stoplight:
        id: 0csa8i5gqs1ao
      x-tags:
      - Rewards
    SweepstakeConfiguration:
      example:
        updated_at: 2000-01-23T04:56:07.000+00:00
        usage_counter: 5
        prizes:
        - name: name
          win_chance: 0
          win_chance_type: win_chance_type
        - name: name
          win_chance: 0
          win_chance_type: win_chance_type
        name: name
        start_when_registered: 6
        created_at: 2000-01-23T04:56:07.000+00:00
        event_name: event_name
        id: id
        start_at: 2000-01-23T04:56:07.000+00:00
        type: type
        contact_max_prizes: 1
        status: status
      properties:
        id:
          readOnly: true
          type: string
          x-stoplight:
            id: 0mr47gqo4qnoj
        name:
          type: string
          x-stoplight:
            id: sc84c03i3y09f
        prizes:
          items:
            $ref: '#/components/schemas/SweepstakePrize'
          type: array
          x-stoplight:
            id: 9jjn9zd57led3
        start_at:
          format: date-time
          type: string
          x-stoplight:
            id: nuws5ftbckk91
        start_when_registered:
          type: integer
          x-stoplight:
            id: 55tj6qe8wwj92
        contact_max_prizes:
          type: integer
          x-stoplight:
            id: uwyfcylv4rvmc
        status:
          readOnly: true
          type: string
          x-stoplight:
            id: 3w7r2fle9buq0
        created_at:
          format: date-time
          readOnly: true
          type: string
          x-stoplight:
            id: 724rbp79eff5v
        updated_at:
          format: date-time
          readOnly: true
          type: string
          x-stoplight:
            id: aixzm6mftzs1p
        type:
          type: string
          x-stoplight:
            id: kvnz27m41gyoj
        event_name:
          type: string
          x-stoplight:
            id: 8ng0y4cal7ip9
        usage_counter:
          readOnly: true
          type: integer
          x-stoplight:
            id: h1q6jaalxp2xf
      required:
      - contact_max_prizes
      - created_at
      - event_name
      - id
      - name
      - prizes
      - status
      - type
      - updated_at
      - usage_counter
      title: SweepstakeConfiguration
      type: object
      x-stoplight:
        id: 4oboq6m8dbgr8
      x-tags:
      - Rewards
    InstantWinConfiguration:
      example:
        updated_at: 2000-01-23T04:56:07.000+00:00
        usage_counter: 5
        prizes:
        - win_count: 1
          max_wins: 6
          name: name
          win_chance: 0
        - win_count: 1
          max_wins: 6
          name: name
          win_chance: 0
        name: name
        created_at: 2000-01-23T04:56:07.000+00:00
        id: id
        type: type
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        created_at:
          format: date-time
          readOnly: true
          type: string
        updated_at:
          format: date-time
          readOnly: true
          type: string
        prizes:
          items:
            $ref: '#/components/schemas/InstantWinConfiguration_prizes_inner'
          type: array
          x-stoplight:
            id: dd2bg062s022o
        type:
          type: string
          x-stoplight:
            id: agvenq1cn5amu
        usage_counter:
          readOnly: true
          type: integer
          x-stoplight:
            id: 56n4ckrdz5rwx
      required:
      - created_at
      - id
      - name
      - prizes
      - type
      - updated_at
      - usage_counter
      title: InstantWinConfiguration
      type: object
      x-stoplight:
        id: xelife2xku76v
      x-tags:
      - Rewards
    SweepstakePrize:
      example:
        name: name
        win_chance: 0
        win_chance_type: win_chance_type
      properties:
        name:
          type: string
          x-stoplight:
            id: yppxb1gcrvinn
        win_chance:
          type: integer
          x-stoplight:
            id: v2colppcuxveb
        win_chance_type:
          type: string
          x-stoplight:
            id: kgolbzmak38n3
      required:
      - name
      - win_chance
      - win_chance_type
      title: SweepstakePrize
      type: object
      x-stoplight:
        id: clxaax8ournn9
    LoyaltyPointsChange:
      example:
        amount: 0
        conversation_id: conversation_id
        organization_id: organization_id
        name: name
        change_type: change_type
        contact_id: contact_id
        channel_id: channel_id
      properties:
        name:
          type: string
          x-stoplight:
            id: 5uws6p8boicuh
        amount:
          type: integer
          x-stoplight:
            id: i1i77de29ctl1
        change_type:
          type: string
          x-stoplight:
            id: ctfopofjj4j8i
        contact_id:
          type: string
          x-stoplight:
            id: ycd2ct5u2g3z6
        channel_id:
          type: string
          x-stoplight:
            id: 9vuddg55xsd9w
        organization_id:
          type: string
          x-stoplight:
            id: prk1p89exlfm8
        conversation_id:
          type: string
          x-stoplight:
            id: zvf6buf3devmo
      required:
      - amount
      - change_type
      - channel_id
      - contact_id
      - conversation_id
      - name
      - organization_id
      title: LoyaltyPointsChange
      type: object
      x-stoplight:
        id: rat103zb8wmij
      x-tags:
      - Rewards
    LoyaltyPoints:
      example:
        current_amount: 0
        conversation_id: conversation_id
        organization_id: organization_id
        name: name
        contact_id: contact_id
        channel_id: channel_id
      properties:
        name:
          readOnly: true
          type: string
        current_amount:
          readOnly: true
          type: integer
          x-stoplight:
            id: 46a6xe7w6kpdw
        contact_id:
          readOnly: true
          type: string
        channel_id:
          readOnly: true
          type: string
        organization_id:
          readOnly: true
          type: string
        conversation_id:
          readOnly: true
          type: string
      required:
      - channel_id
      - contact_id
      - conversation_id
      - current_amount
      - name
      - organization_id
      title: LoyaltyPoints
      type: object
      x-stoplight:
        id: q4ul90y1u3jzx
      x-tags:
      - Rewards
    CouponingConfigDto:
      example:
        end_at: 2000-01-23T04:56:07.000+00:00
        max_redemptions: 6
        description: description
        start_at: 2000-01-23T04:56:07.000+00:00
        import_metadata:
        - config_id: config_id
          user_id: user_id
          imported: 7
          updated: 9
          skipped: 2
        - config_id: config_id
          user_id: user_id
          imported: 7
          updated: 9
          skipped: 2
        coupon_expires_after: 1
        organization_id: organization_id
        name: name
        generic_code: generic_code
        id: id
        metrics:
        - count: 5
          status: 5
        - count: 5
          status: 5
        external_name: external_name
        code_type: 0
      properties:
        id:
          readOnly: true
          type: string
          x-stoplight:
            id: 0u32u39ncvtc7
        name:
          type: string
          x-stoplight:
            id: e50nsqvfs7jkm
        description:
          type: string
          x-stoplight:
            id: 1npr6zn2s2iwf
        organization_id:
          type: string
          x-stoplight:
            id: ti21pyuuvlzqt
        code_type:
          type: integer
          x-stoplight:
            id: 9rjp652g8y6pd
        generic_code:
          type: string
          x-stoplight:
            id: kc0n0s2hwgpbz
        start_at:
          format: date-time
          type: string
          x-stoplight:
            id: jvxhxzqitl7rl
        end_at:
          format: date-time
          type: string
          x-stoplight:
            id: ttdb55kpgfhy0
        max_redemptions:
          type: integer
          x-stoplight:
            id: 1ycjldzj9k1n5
        external_name:
          type: string
          x-stoplight:
            id: lcsahyvgd4j27
        coupon_expires_after:
          description: minutes
          type: integer
          x-stoplight:
            id: gotec1z63dq72
        metrics:
          items:
            $ref: '#/components/schemas/CouponingConfigDto_metrics_inner'
          readOnly: true
          type: array
          x-stoplight:
            id: bwtxuo9apjsrk
        import_metadata:
          items:
            $ref: '#/components/schemas/CouponingConfigDto_import_metadata_inner'
          readOnly: true
          type: array
          x-stoplight:
            id: dt24aztzkep3y
      required:
      - code_type
      - id
      - import_metadata
      - metrics
      - name
      - organization_id
      title: CouponingConfigDto
      type: object
      x-stoplight:
        id: 3be4y89l1co0y
    CouponData:
      example:
        transaction_id: transaction_id
        conversation_id: conversation_id
        organization_id: organization_id
        name: name
        type: type
        contact_id: contact_id
        interaction_id: interaction_id
        channel_id: channel_id
      properties:
        name:
          type: string
          x-stoplight:
            id: 9fyds51outo1b
        type:
          type: string
          x-stoplight:
            id: 3ytm2hhj10uw9
        contact_id:
          type: string
          x-stoplight:
            id: 7e5bgcp88qxj1
        transaction_id:
          type: string
          x-stoplight:
            id: giwe6u20lngj3
        conversation_id:
          type: string
          x-stoplight:
            id: liw7d72mvlv5p
        channel_id:
          type: string
          x-stoplight:
            id: dj1obl9wm7w1d
        organization_id:
          type: string
          x-stoplight:
            id: cs2qoxbuo7ddi
        interaction_id:
          type: string
          x-stoplight:
            id: 4a9krb5ckswk5
      required:
      - channel_id
      - contact_id
      - conversation_id
      - interaction_id
      - name
      - organization_id
      - transaction_id
      - type
      title: CouponData
      type: object
      x-stoplight:
        id: efq71d72rkkwb
    runSweepstake_request:
      properties:
        name:
          type: string
          x-stoplight:
            id: 935zliwn3jgpd
      type: object
    importCoupons_request:
      properties:
        file:
          type: string
          x-stoplight:
            id: 25xximqhmtvg2
      type: object
    InstantWinConfiguration_prizes_inner:
      example:
        win_count: 1
        max_wins: 6
        name: name
        win_chance: 0
      properties:
        win_chance:
          type: integer
          x-stoplight:
            id: 5vgwqrw4m7nzr
        name:
          type: string
          x-stoplight:
            id: 51jxi3smvw1tc
        max_wins:
          type: integer
          x-stoplight:
            id: wnn5a09delnae
        win_count:
          readOnly: true
          type: integer
          x-stoplight:
            id: d2ckdb5p9pki4
      required:
      - max_wins
      - name
      - win_chance
      - win_count
      type: object
      x-stoplight:
        id: mpbo6qtswrrp2
    CouponingConfigDto_metrics_inner:
      example:
        count: 5
        status: 5
      properties:
        count:
          type: integer
          x-stoplight:
            id: gma6xyly80w9b
        status:
          type: integer
          x-stoplight:
            id: i62gzwmxaqm9u
      required:
      - count
      - status
      type: object
      x-stoplight:
        id: v8wm750xb8622
    CouponingConfigDto_import_metadata_inner:
      example:
        config_id: config_id
        user_id: user_id
        imported: 7
        updated: 9
        skipped: 2
      properties:
        config_id:
          type: string
          x-stoplight:
            id: i0gmf7y6joazn
        user_id:
          type: string
          x-stoplight:
            id: tg4g9bbku9ovc
        skipped:
          type: integer
          x-stoplight:
            id: am6c3yxdv7931
        imported:
          type: integer
          x-stoplight:
            id: j6m4qm4ag9j5a
        updated:
          type: integer
          x-stoplight:
            id: p4afws9iaofla
      required:
      - config_id
      - imported
      - skipped
      - updated
      - user_id
      type: object
      x-stoplight:
        id: ywr8dqaar5zq6
x-stoplight:
  id: o86qukc6j2rpe
